Name:           mandriva-kde-config-file
Summary:        All specific config file for Mandriva for KDE.
Version:		2006
Release:		10mdk
URL:            http://www.mandriva.com
Group:          Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot

Source0:		mandriva-kde-config-file.tar.bz2


License:		GPL
Requires:       kdebase >= 3.1
Requires:		kdelibs >= 3.1
BuildArch:   	noarch
BuildRequires:  intltool
Provides:	kde-config-file
Obsoletes:	mandrakelinux-kde-config-file <= 2006-1mdk
Provides:	mandrakelinux-kde-config-file > 2006-1mdk
Conflicts:	kdebase-common <= 3.2.3

%description
This package regroups all specific Mandriva config file for KDE.
(kicker config etc.)


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -n%name

%build


%install


install -d -m 0755 "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_active_bar.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar.png"

install -m 0644 $RPM_BUILD_DIR/%name/Preview.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/Preview.png"


install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_active_bar_bidi.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar_bidi.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_bottom.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_bottom.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_inactive_bar.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_inactive_bar_bidi.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar_bidi.png"

install -m 0644 $RPM_BUILD_DIR/%name/mdk-splash_top.png "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_top.png"


install -d -m 0755 "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/Preview.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/Preview.png"
cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar.png"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar_bidi.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar_bidi.png"
cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar.png"
cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_bottom.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_bottom.png"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_top.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_top.png"

cp "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar_bidi.png" "%buildroot/%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar_bidi.png"


install -d -m 0755 %buildroot/%_datadir/sounds/
install -m 0644 $RPM_BUILD_DIR/%name/mdv-startup.wav %buildroot/%_datadir/sounds/mdv-startup.wav

install -d -m 0755 %buildroot/%_datadir/apps/kicker/pics/

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-kside_discovery.png %buildroot/%_datadir/apps/kicker/pics/kside_discovery.png
install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-kside_download.png %buildroot/%_datadir/apps/kicker/pics/kside_download.png
install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-kside_powerpack.png %buildroot/%_datadir/apps/kicker/pics/kside_powerpack.png
install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-kside_powerpackplus.png %buildroot/%_datadir/apps/kicker/pics/kside_powerpackplus.png

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-tile.png %buildroot/%_datadir/apps/kicker/pics/kside_mdv-tile.png

install -d -m 0755 %buildroot/%_datadir/apps/kicker/

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-discovery-apps %buildroot/%_datadir/apps/kicker/default-discovery-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-discovery-apps-simplified %buildroot/%_datadir/apps/kicker/default-discovery-apps-simplified

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-download-apps %buildroot/%_datadir/apps/kicker/default-download-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-download-apps-simplified %buildroot/%_datadir/apps/kicker/default-download-apps-simplified

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpack-apps %buildroot/%_datadir/apps/kicker/default-powerpack-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpack-apps-simplified %buildroot/%_datadir/apps/kicker/default-powerpack-apps-simplified

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpackplus-apps %buildroot/%_datadir/apps/kicker/default-powerpackplus-apps

install -m 0644 $RPM_BUILD_DIR/%name/kdebase-3.2-default-powerpackplus-apps-simplified %buildroot/%_datadir/apps/kicker/default-powerpackplus-apps-simplified

install -d -m 0755 %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/

install -m644 kdebase-3.0-mdk_web.desktop %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdk_web.desktop
install -m644 kdebase-3.0-mdkexpert_web.desktop %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkexpert_web.desktop
install -m644 kdebase-3.0-mdkonline_web.desktop %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkonline_web.desktop
install -m644 kdebase-3.0-mdkstore_web.desktop %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkstore_web.desktop
install -m644 kdebase-3.2-mdkclub_web.desktop %buildroot/%_datadir/apps/konqsidebartng/virtual_folders/remote/web/mdkclub_web.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %_datadir/apps/
%dir %_datadir/apps/kicker/
%_datadir/apps/kicker/*

%dir "%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/Preview.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_active_bar_bidi.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_bottom.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_top.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/mdk-splash_inactive_bar_bidi.png"

%dir "%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/Preview.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_active_bar_bidi.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_bottom.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_top.png"
"%_datadir/apps/ksplash/Themes/Galaxy Splash Screen/locolor/mdk-splash_inactive_bar_bidi.png"


%dir %_datadir/apps/konqsidebartng/virtual_folders/remote/web/
%_datadir/apps/konqsidebartng/virtual_folders/remote/web/*.desktop

%dir %_datadir/sounds/
%_datadir/sounds/mdv-startup.wav

%changelog
* Mon Sep 19 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-10mdk
- Fix kicker apps defaut

* Mon Sep 19 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-9mdk
- Update startup sound

* Wed Sep 07 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-8mdk
- Add default mandriva startup sound
- Fix kicker default apps for discovery

* Thu Aug 18 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-7mdk
- Add new banner

* Thu Aug 18 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-6mdk
- Fix top splashscreen

* Sat Aug 13 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-5mdk
- Add conflict for upgrade from 10.1

* Fri Aug 12 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-4mdk
- Fix kicker icons

* Thu Aug 04 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-3mdk
- Fix typo

* Wed Aug 03 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-2mdk
- Rename all Mandrakelinux

* Wed Aug 03 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-1mdk
- change name

* Tue Aug 02 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-1mdk
- Add splash for mdk2006

* Wed May 25 2005 Laurent MONTEL <lmontel@mandriva.com> 10.3-1mdk
- Update splash screen for kde3.4

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-11mdk
- Display Firefox

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-10mdk
- Fix banner when we increase menu size

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-9mdk
- Fix icon in kicker

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-8mdk
- Fix banner

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-7mdk
- Fix image bottom

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-6mdk
- Update image for 2005 limited edition

* Wed Mar 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-5mdk
- Better font

* Wed Mar 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-4mdk
- Update kde splash screen

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-3mdk
- Fix with new xdg-menu

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-2mdk
- Fix for new xdg-menu

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.2-1mdk
- Fix desktop web url

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-7mdk
- move kicker kside here

* Mon Oct 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-6mdk
- Move Mandrake desktop file here

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-5mdk
- Fix some mistakes into file :(

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-4mdk
- Add webmin entry

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-3mdk
- Update picture for MDK 10.1
- Update kicker apps

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-2mdk
- Move splash screen picture into this package

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-1mdk
- Update for 10.1

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- Initial package


